# Class CsvWriter

java.lang.Object
gaia.cu9.tools.parallax.writers.CsvWriter

public class CsvWriter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`path`
`protected BufferedWriter`
`writer`

## Constructor Summary

Constructors
Constructor
Description
`CsvWriter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`dump(DistanceEstimation estimation)`
`void`
`open(String path)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### writer

protected BufferedWriter writer

### path

protected String path

## Constructor Details

### CsvWriter

public CsvWriter()

## Method Details

### open

public void open(String path) throws IOException

Throws:
  `IOException`

### dump

public void dump(DistanceEstimation estimation) throws IOException

Throws:
  `IOException`

### close

public void close()